EUHU
=======================

This is a validation library for the eFa-Stack.
It's main purpose is to help ensuring that the participation data of several
projects - namely PWE, SIB, QE, EC - conforms the validation criteria
determined by Annex D Monitoring and evaluation for the ESF-program.

The validation process is 2 staged:

Ia) Mapping the program-specific information to a normalized intermediate format

Ib) The rules to determine the according  indicators (CO01, CO02, etc.) are
defined in `esf.py`. Rules (=Business logic) are annotated with `@rule`.

II) In `esf_rule` the validation are applied. `Validation_result` delivers a
representation of the validation process.

The process for valiation is in the `validate`-function of the programm specific
module.

Tests
-----

To invoke tests simply use `nosetests`.
